use {Channel, User};

#[derive(Debug, Clone)]
pub enum Event<'a> {
    Message { sender: &'a User, channel: Option<&'a Channel>, content: String },
    Join { channel: &'a Channel },
    Quit { channel: &'a Channel }
}
